// FastTestDlg.h : header file
//
#include "rscmu200.h"
#include "rscmu2bt.h"

#if !defined(AFX_FASTTESTDLG_H__9EF9C247_EE7D_4567_950F_10CBA208773B__INCLUDED_)
#define AFX_FASTTESTDLG_H__9EF9C247_EE7D_4567_950F_10CBA208773B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



/////////////////////////////////////////////////////////////////////////////
// CFastTestDlg dialog

class CFastTestDlg : public CDialog
{
// Construction
public:
	int UpdateTables();
	CFastTestDlg(CWnd* pParent = NULL);	// standard constructor

	ViSession vi_base;
	ViChar	  error_message[512];
	ViStatus  rscmu_status;
	ViSession vi_2bt; 
	ViReal64 nominalPower [6][4];
	ViReal64 leakagePower [6][4];
	ViReal64 peakPower [6][4];
	ViInt32 packetTiming [6][4];
	ViReal64 frequencyAccuracy [6][4];
	ViReal64 frequencyDrift [6][4];
	ViReal64 maxDriftRate [6][4];
	ViReal64 avgFreqDeviation [6][4];
	ViReal64 minFreqDeviation [6][4];
	ViReal64 maxFreqDeviation [6][4];
	ViReal64 burstOutofTolPower [6][4];
	ViReal64 burstOutofTolTiming [6][4];
	ViReal64 burstOutofTolModulation [6][4];
	ViReal64 ber_data[3];
	ViReal64 per_data[3];
	ViInt32 packet_received[3];

// Dialog Data
	//{{AFX_DATA(CFastTestDlg)
	enum { IDD = IDD_FASTTEST_DIALOG };
	CListCtrl	m_recList;
	CComboBox	m_dutComboBox;
	CListCtrl	m_table;
	CString	m_ressString;
	long	m_RXBurst;
	long	m_TXBurst;
	int		m_channelSelect;
	int		m_dut;
	//}}AFX_DATA
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFastTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFastTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRun();
	afx_msg void OnScan();
	afx_msg void OnSelchangeChannelSelect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FASTTESTDLG_H__9EF9C247_EE7D_4567_950F_10CBA208773B__INCLUDED_)
